Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Mambo Levis <[email-masked]>
Date: Wed, 21 Sep 2016 08:55:29 +0000 (UTC)

Thank you for your answer,
I downloaded and tested the official emacs 25.1 relase but I still have problems:- If I press C-s-a it works (Notice that super key is pressed after Control)- If I press s-a  it doesn't work.
All my tests are made in Windows 10. 

    On Wednesday, September 21, 2016 1:23 AM, Robert Cochran <[email-masked]> wrote:

 I eventually managed to get it to work from the official Emacs 25.1
release, so I think that the problem has been fixed.

This is the form I used:

(when (eq system-type 'windows-nt)
  (setq w32-pass-lwindow-to-system nil)
  (setq w32-pass-apps-to-system nil)
  (setq w32-lwindow-modifier 'super)
  ;; My laptop does not have a right super, so I used the
  ;; 'apps'/'menu' key instead.
  (setq w32-apps-modifier 'hyper))

Also note that even still, Windows still ate a lot of the attempted
super key combos, even those that didn't look like they did anything
(s-z, for example). I know that `s-w` was passed to Emacs, as well as
most of the symbol characters ('[', ';', etc...).

HTH,
-- 
~Robert Cochran

GPG Fingerprint - E778 2DD4 FEA6 6A68 6F26  AD2D E5C3 EB36 4886 8871